.navbar-date-picker{
    .btn{
        &:last-of-type{
            border-left: 1px solid rgba(198, 203, 212, 0.5);
        }
        &:not(.active){
            color: var(--main-strada-color-2) !important;
        }
    }
}

.mat-input-element:disabled{
    color: unset;
}
.mat-form-field-appearance-legacy .mat-form-field-infix{
    width: 100px;
}
.date-wrapper{
    border: 1px solid var(--main-strada-color-1);
    border-radius: 5px;
    padding: 3px 7px;
    margin: 0 10px;
}
.date-picker-trigger{
    pointer-events: none;
    position: relative;
    top: -3px;
  }
.date-picker-input{
    border: 0 !important;
    background: transparent !important;
    width : 88px !important
}
::ng-deep .md-drppicker{
    width: max-content ;
    .clear{
        display: none;
    }
    .btn:not(.btn-default){
        background-color: var(--main-strada-color-1) !important;
        margin-left: 10px !important;
    }
    .btn{
        box-shadow: none !important;
        background-color: transparent !important;
        text-transform : capitalize !important;
        padding: 0 20px !important ;
    }
    .btn.btn-default{
        border: 1px solid #354360;
    }
    .active  {
        // background-color: var(--main-strada-color-1) !important;
        background-color: #1665D8 !important;
    }
    .with-time{
        display: flex;
        justify-content: flex-end;
        align-items: center;
        margin-top: 0.5em;
        margin-right: 0.5em;
        height: 40px;
        p{
            margin: 0 !important;
            color: var(--main-strada-color-1);
            font-size: 0.8em;
            margin-left: 3px;
        }

    }

    .table-condensed{
        margin-left: 20px !important;
    }
    .ranges{
        border-right: 1px solid #D8D8D8;
        padding-top: 10px;
        button.active{
            border-bottom : 3px solid var(--main-strada-color-1) !important;
            background-color: transparent !important;
            color: black !important;
        }
    }

    .ranges ul li button{
        padding: 8px 25px !important;
    }
    .start-time-wrapper, .end-time-wrapper{
        margin-left: 1.5em;
        p{
            font-size: 0.8em;
        }
        // div input{
        //     margin-right: 10px;
        // }
    }
    .end-time-wrapper{
        margin-right: 0.5em;
    }
    .checkbox-field{
        margin-left: auto;
        align-items: center;
    }
    input{
        border-radius: 3px;
        border: 1px solid #EBEBEB;
        background-color: #EBEBEBAA !important;
        text-align: end;
    }
    &.shown{
        transform: translate(-335px, 20px) scale(1) !important;
    }
    td.in-range{
        background-color: #1665D81E !important;
    }
}
.btn-group{
    border: 1px solid #C6CBD480 !important;
    border-radius: 5px;
    button:nth-child(2){
        border-right: 1px solid #C6CBD480 !important;
        border-left: 1px solid #C6CBD480 !important;
    }
    button {
      font-family: "AvenirLight";
    }
}
